daemon daemon/hald {
    need = system/initial system/mountfs daemon/dbus;
    pid_file = /var/run/hal/hald.pid;
    
    #env_file = /etc/default/hal;
    script daemon = {
        DAEMON=/usr/sbin/hald
        PIDDIR=/var/run/hal
        NAME=hal
        DAEMONUSER=hal

        if [ -e  /etc/default/hal ]; then
	   .  /etc/default/hal
	fi


        if [ ! -d $PIDDIR ]; then
          mkdir -p $PIDDIR
          chown $DAEMONUSER:$DAEMONUSER $PIDDIR
        fi

        $DAEMON $DAEMON_OPTS
        };
}
