
service system/guarddog {
    need = system/initial;
    script start = /etc/rc.firewall;
	
    script stop = {
    if [ -x /sbin//sbin/iptables ]; then
        /sbin/iptables -P OUTPUT ACCEPT
        /sbin/iptables -P INPUT ACCEPT
        /sbin/iptables -P FORWARD ACCEPT
        /sbin/iptables -F
        /sbin/iptables -X
        exit 0;
    fi
    if [ -x /sbin//usr/sbin/ipchains ]; then
        /usr/sbin/ipchains -P output ACCEPT
        /usr/sbin/ipchains -P input ACCEPT
        /usr/sbin/ipchains -P forward ACCEPT
        /usr/sbin/ipchains -F
        /usr/sbin/ipchains -X
        exit 0;
    fi
    echo "Cannot find /sbin//usr/sbin/ipchains or /sbin//sbin/iptables"
    exit 1
    };
}
