

service system/numlock {
    need = system/initial system/mountfs;

    script start = {
	echo "Enabling numlock on ttys ..."
	[[ -d /dev/vc ]] \
		&& dev=/dev/vc/ \
		|| dev=/dev/tty
	for tty in $(seq 1 12) ; do
		/usr/bin/setleds -D +num < ${dev}${tty} &> /dev/null
	done
	exit 0
    };

    script stop = {
	echo "Disabling numlock on ttys"
	[[ -d /dev/vc ]] \
		&& dev=/dev/vc/ \
		|| dev=/dev/tty
	for tty in $(seq 1 12) ; do
		/usr/bin/setleds -D -num < ${dev}${tty} &> /dev/null
	done
	exit 0
    };
}
