#Creates the nVidia device nodes
service system/nvidia-kernel {
    use = system/initial;
    script start = {
    # How many cards?
    [ -r /etc/default/nvidia-kernel ] && . /etc/default/nvidia-kernel

    # test if anything is requested
    if [ -z "$NVIDIA_CARDS" ] || [ "$NVIDIA_CARDS" -lt 1 ]; then
    # Nothing to do but exit.
        exit 0
    fi  
        

    if ! [ -e /dev/nvidiactl ]; then
        mknod -m 0660 /dev/nvidiactl c 195 255
        chgrp video /dev/nvidiactl
    fi
    for i in $(seq 0 $(($NVIDIA_CARDS - 1))); do
        if ! [ -e /dev/nvidia$i ]; then
            mknod -m 0660 /dev/nvidia$i c 195 $i
            chgrp video /dev/nvidia$i
         fi
    done
    };
}
