#Note, most of this is taken from /usr/share/initramfs-tools/scripts/init-top/usplash in debian.
service system/usplash {
	need = system/initial;
	script start = {
		#test, why are we doing this?
		chvt 6
		SPLASH=false;
		VESA=false;
		
		for x in $(cat /proc/cmdline); do
			case $x in
				splash*)
					SPLASH=true;
					;;
				vga=*)
					VESA=true;
					;;
			esac
		done
		
		if [ $SPLASH = "true" ]; then
			insmod /lib/modules/`uname -r`/kernel/drivers/video/console/bitblit.ko &>/dev/null
			insmod /lib/modules/`uname -r`/kernel/drivers/video/console/font.ko &>/dev/null
			insmod /lib/modules/`uname -r`/kernel/drivers/video/console/tileblit.ko &>/dev/null
			insmod /lib/modules/`uname -r`/kernel/drivers/video/console/fbcon.ko &>/dev/null
			insmod /lib/modules/`uname -r`/kernel/drivers/video/cfbcopyarea.ko &>/dev/null
			insmod /lib/modules/`uname -r`/kernel/drivers/video/cfbfillrect.ko &>/dev/null
			insmod /lib/modules/`uname -r`/kernel/drivers/video/cfbimgblt.ko &>/dev/null
			insmod /lib/modules/`uname -r`/kernel/drivers/video/softcursor.ko &>/dev/null
			insmod /lib/modules/`uname -r`/kernel/drivers/video/vgastate.ko &>/dev/null
			if [ $VESA = "true" ]; then
				insmod /lib/modules/`uname -r`/initrd/vesafb.ko &>/dev/null
			else
				insmod /lib/modules/`uname -r`/kernel/drivers/video/vga16fb.ko &>/dev/null
			fi
			mknod /dev/fb0 c 29 0 &>/dev/null
			for i in 0 1 2 3 4 5 6 7 8; do
				mknod /dev/tty$i c 4 $i &>/dev/null
			done
			/sbin/usplash -c &
			sleep 1
			usplash_write "TIMEOUT 30"
			
			sleep 0.5
			usplash_write "TEXT Loading usplash"
			
		fi
	}
}
