


daemon daemon/ifplugd/* {
	#*/
	need = system/mountfs system/modules;

	use = system/static-modules system/coldplug system/ifrename;
	exec daemon = /usr/sbin/ifplugd;
	exec_args daemon = -i ${NAME};
	pid_file = /var/run/ifplugd.${NAME}.pid;
}

service daemon/ifplugd {

	need = system/mountfs system/modules;

	use = system/static-modules system/coldplug;

	script start = {
for IF in `cat /proc/net/dev | awk 'BEGIN { FS=":" } /eth|wlan/ { gsub(/\W/,"",$1); print $1;}' ` ; do
    /sbin/ngc -u daemon/ifplugd/$IF &> /dev/null
done
};

	script stop = {
for IF in `cat /proc/net/dev | awk 'BEGIN { FS=":" } /eth|wlan/ { gsub(/\W/,"",$1); print $1;}'` ; do
    /sbin/ngc -d daemon/ifplugd/$IF &> /dev/null
done
};
}
