service daemon/mysql/initdb {
    need = system/initial system/mountfs net/lo;
    script start = {
    
		# I'm not sure about this location
		DATA="/var/lib/mysql"

		if [ ! -d $DATA/db/mysql ]
		then
			if [ ! -d $DATA ]
			then
					mkdir -p $DATA
					chown mysql.mysql $DATA
					chmod go-rwx $DATA
			fi
			su mysql -c "/usr/bin/mysql_install_db 2>&1 > /dev/null"
		fi
		exec [ -f $DATA/db/mysql/db.frm ]
    };
    
    script stop = {
    };
}

daemon daemon/mysql {
    need = system/initial system/mountfs net/lo;
    use = daemon/mysql/initdb;
    require_network;
    #virtual-use = dns;
    exec daemon = /usr/bin/mysqld_safe;
    pid_file = /var/run/mysqld/mysqld.pid;
}
