# syslog        Starts syslogd
#
# description: Syslog is the facility by which many daemons use to log \
# messages to various system log files.  It is a good idea to always \
# run syslog.

daemon daemon/syslogd {
    need = system/initial system/mountroot system/bootmisc;
    script daemon = {
	if [ ! -e /dev/xconsole ]; then
	    /bin/mknod -m 640 /dev/xconsole p
	fi
	
	/bin/chmod 0640 /dev/xconsole
	/bin/chown root:adm /dev/xconsole

	exec /sbin/syslogd -n -m 0
    }
}
