daemon daemon/udhcpc/* {
	#*/
	need = system/initial system/mountroot system/modules system/hostname;
	use = system/static-modules system/coldplug;
	pid_file = /var/run/udhcpc-${NAME}.pid;
	#respawn
	env_file = /etc/conf.d/net;
	
	script daemon = {
		eval opts=\" \$\{udhcpc_${NAME}\} \"

		h=$( hostname )
		[[ -n ${h} && ${h} != "(none)" && ${h} != "localhost" \
			&& ${opts} != *' -h '* && ${d} != *' nohostname '* ]] \
				&& opts="${opts} --hostname=${h}"
		exec udhcpc ${opts} --now --script=$INITNG_PLUGIN_DIR/scripts/net/udhcpc-wrapper --pidfile=/var/run/udhcpc-${NAME}.pid --interface=${NAME}
	}
}
