service net/all {
	network_provider;
	need = system/mountfs system/modules system/hostname system/ifupdown-debian;
    	use = system/static-modules system/coldplug daemon/cardmgr;
	script start = {
	    for i in `cat /etc/network/interfaces  | grep "auto " | awk '{ for (i=2; i<=NF; i++) print $i }'`
	    do
		ngc -u net/$i &
	    done
	    wait
	}
	script stop = {
	    for i in `cat /etc/network/interfaces  | grep "auto " | awk '{ for (i=2; i<=NF; i++) print $i }'`
	    do
		ngc -d net/$i &
	    done
    	    wait
	}
}

service net/lo {
	# */
	need = system/mountfs system/modules system/hostname system/ifupdown-debian;
	use = system/static-modules system/coldplug;
	exec start = /sbin/ifup;
	exec_args start = lo;
	exec stop  = /sbin/ifdown;
	exec_args stop = lo;
}

service net/* {
	# */
	network_provider;
	need = system/mountfs system/modules system/hostname system/ifupdown-debian;
	use = system/static-modules system/coldplug daemon/cardmgr;
	exec start = /sbin/ifup;
	exec_args start = $NAME;
	exec stop = /sbin/ifdown;
	exec_args stop = $NAME;
}
